package org.dromara.common.mq.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import org.springframework.context.ApplicationEvent;

import java.time.Clock;

/**
 * 会员创建事件
 */
public class MemberCreateEvent extends ApplicationEvent {
    public MemberCreateEvent(Object source) {
        super(source);
    }

    public MemberCreateEvent(Object source, Clock clock) {
        super(source, clock);
    }
}
